libftdi1 1.5

Public Attributes | List of all members
ftdi_version_info Struct Reference

`#include <ftdi.h>`

## Public Attributes
int | major
int | minor
int | micro
const char * | version_str
const char * | snapshot_str

## Detailed Description

Provide libftdi version information major: Library major version minor: Library minor version micro: Currently unused, ight get used for hotfixes. version_str: Version as (static) string snapshot_str: Git snapshot version if known. Otherwise "unknown" or empty string.

Definition at line 505 of file ftdi.h.

## Member Data Documentation

## ◆ major

int ftdi_version_info::major

Definition at line 507 of file ftdi.h.

Referenced by ftdi_get_library_version().

## ◆ minor

int ftdi_version_info::minor

Definition at line 508 of file ftdi.h.

Referenced by ftdi_get_library_version().

## ◆ micro

int ftdi_version_info::micro

Definition at line 509 of file ftdi.h.

Referenced by ftdi_get_library_version().

## ◆ version_str

const char* ftdi_version_info::version_str

Definition at line 510 of file ftdi.h.

Referenced by ftdi_get_library_version().

## ◆ snapshot_str

const char* ftdi_version_info::snapshot_str

Definition at line 511 of file ftdi.h.

Referenced by ftdi_get_library_version().

The documentation for this struct was generated from the following file:

- ftdi.h